\version "2.24.1"

N = 69
\include "haydn.ly"

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout I \spacing #1/24 }
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \I.structure
        \new StaffGroup <<
          \new OboeIandII \partCombine #'(0 . 12) \I.Oboe.1 \I.Oboe.2
          \new BassoonIandII \partCombine \I.Bassoon.1 \I.Bassoon.2
        >>
        \new StaffGroup <<
          \new HornIandII \with { key=c } \partCombine \I.Horn.1 \I.Horn.2
          \new TrumpetIandII \with { key=c' } \partCombine \I.Trumpet.1 \I.Trumpet.2
        >>
        \new Timpani \with { tuning=<c g,> } { \I.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new CB    { \I.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout II \spacing #1/32 }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks II
        \II.structure
        \new StaffGroup <<
          \new OboeIandII \partCombine \II.Oboe.1 \II.Oboe.2
          \new BassoonIandII \partCombine \II.Bassoon.1 \II.Bassoon.2
        >>
        \new StaffGroup
          \new HornIandII \with { key=f } \partCombine \II.Horn.1 \II.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \II.Violin.1 }
            \new ViolinII { \II.Violin.2 }
          >>
          \new Viola { \II.Viola }
          \new CB    { \II.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \score {
      \layout { \breaklayout IIIa }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIa
        \IIIa.structure
        \new StaffGroup <<
          \new Oboes <<
            \new OboeI  { \IIIa.Oboe.1 }
            \new OboeII { \IIIa.Oboe.2 }
          >>
          \new BassoonIandII \partCombine \IIIa.Bassoon.1 \IIIa.Bassoon.2
        >>
        \new StaffGroup <<
          \new HornIandII \with { key=c } \partCombine \IIIa.Horn.1 \IIIa.Horn.2
          \new TrumpetIandII \with { key=c' } \partCombine \IIIa.Trumpet.1 \IIIa.Trumpet.2
        >>
        \new Timpani \with { tuning=<c g,> } { \IIIa.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIa.Violin.1 }
            \new ViolinII { \IIIa.Violin.2 }
          >>
          \new Viola { \IIIa.Viola }
          \new CB    { \IIIa.Cello }
        >>
      >>
    }
    \keepWithTag \Haydntags \tag #'Mvt3 \pageBreak
    \score {
      \layout { \breaklayout IIIb }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIb
        \IIIb.structure
        \new StaffGroup
          \new Oboe { \IIIb.Oboe.1 }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIb.Violin.1 }
            \new ViolinII { \IIIb.Violin.2 }
          >>
          \new Viola { \IIIb.Viola }
          \new CB    { \IIIb.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout IV \spacing #1/32 }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.structure
        \new StaffGroup <<
          \new OboeIandII \partCombine #'(0 . 10) \IV.Oboe.1 \IV.Oboe.2
          \new BassoonIandII \partCombine \IV.Bassoon.1 \IV.Bassoon.2
        >>
        \new StaffGroup <<
          \new HornIandII \with { key=c } \partCombine \IV.Horn.1 \IV.Horn.2
          \new TrumpetIandII \with { key=c' } \partCombine \IV.Trumpet.1 \IV.Trumpet.2
        >>
        \new Timpani \with { tuning=<c g,> } { \IV.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IV.Violin.1 }
            \new ViolinII { \IV.Violin.2 }
          >>
          \new Viola { \IV.Viola }
          \new CB    { \IV.Cello }
        >>
      >>
    }
  }
}
